View Issue Details

IDProjectCategoryView StatusLast Update
0000799SOGoWeb Address Bookpublic2017-06-27 09:05
ReporterMarcel Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.1 
Target Version3.0.0Fixed in Version3.2.10 
Summary0000799: List, preview pane, and edit window can disagree on primary/alternate Email address (swapped)
Description

Sometimes (reproducible ways detailed below), both by creating a new address book entry in the Web UI or by importing it, resulting in a confusion between primary and alternate email address. Then, the address preview shows primary/secondary in one order, while the editing window shows them the other way round.

Example:
The address book list entry shows "Joe User, home@example.org", the preview pane below shows

Joe User
Email: home@example.org
Additional Email: work@example.org
So far, so good, this seems to match. However, when double-clicking on the entry, the edit window shows the following:
Display: Joe User
Email: work@example.org
Additional Email: home@example.org
i.e., primary and secondary mail are swapped here (and they remain so, even if one or both entries are modified).

It seems that different parts of the code seem to use different criteria for determining the primary and secondary address.

This can be greatly confusing and baffling for users. It can easily occur during import of a common VCARD (see below), but it can also be produced (and fixed) in the UI.

Additional Information

** How to create such an entry:

  • Option 1 (easy and common):
    Import the following VCARD:

BEGIN:VCARD
VERSION:3.0
N:User;Joe;;;
FN:Joe User
EMAIL;type=INTERNET;type=HOME:home@example.net
EMAIL;type=INTERNET;type=WORK:work@example.com
END:VCARD

This UI weirdness seem to happen for all entries where a type=HOME address appears before a type=WORK one. (The actual email address does not seem to matter, just the type)

  • Option 2 (rare; I only ran into this one while trying to recover from the above import errors):
    In the web interface, create a new entry, set the Name and fill in the "Additional Email" field with "home@example.org" only (leave "Email" empty, only fill in "Additional Email"!), then save. Reopen, and add an "Email" field with "work@example.org", save. Now, the primary address for list and preview are the "home@example.org", whereas the primary address in the edit window is "work@example.org".

** How to fix the problem
Just changing either or both of the addresses does not restore correct ordering. The following process however does:
Edit the entry, cut the "Additional Email" address ("home@example.org" in this example), save. Now all three views (list, preview, and edit) agree on primary/secondary. Re-edit the entry, and paste "home@example.org" back into "Additional Email", save. The three views continue to agree.

TagsNo tags attached.

Activities

Marcel

Marcel

2011-01-07 09:56

reporter   ~0002011

Francis: Do you need any additional information or other form of help?

Related Changesets

sogo: master 9bde9b66

2017-06-21 16:29:11

francis

Details Diff
Improve identification of preferred elements

Fixes 0000799
Affected Issues
0000799
mod - SOPE/NGCards/NGVCard.m Diff File

Issue History

Date Modified Username Field Change
2010-09-02 06:39 Marcel New Issue
2010-10-07 10:49 francis Status new => assigned
2010-10-07 10:49 francis Assigned To => francis
2011-01-07 09:56 Marcel Note Added: 0002011
2015-06-11 16:06 ludovic Target Version => 3.0.0
2017-06-22 11:56 francis Changeset attached => sogo master 9bde9b66
2017-06-22 11:56 francis Resolution open => fixed
2017-06-27 09:05 francis Status assigned => resolved
2017-06-27 09:05 francis Fixed in Version => 3.2.10